API ReferenceEstimates
Create an estimate
Creates a new draft estimate (quote) with line items for a client.
Authorization
apiKey AuthorizationBearer <token>
API key issued from your AgentInvoice account settings.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://app.agentinvoice.co/api/estimates" \ -H "Content-Type: application/json" \ -d '{ "clientId": 42, "lineItems": [ { "description": "Logo design", "unitPrice": "500.00" } ] }'{
"id": 55,
"clientId": 42,
"estimateNumber": "EST-0001",
"status": "draft",
"currency": "USD",
"subtotal": "500.00",
"taxTotal": "50.00",
"total": "550.00",
"notes": "string",
"terms": "string",
"validUntil": "2019-08-24T14:15:22Z",
"convertedInvoiceId": 0,
"clientName": "string",
"clientEmail": "string",
"lineItems": [
{
"id": 1,
"description": "Logo design",
"quantity": "1.00",
"unitPrice": "500.00",
"taxRate": "0.10",
"amount": "500.00",
"sortOrder": 0
}
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}